Home

# Class goog.tweak.BaseSetting

Base class for all tweak entries that are settings. Settings are entries that are associated with a query parameter.

extends goog.tweak.BaseEntry

Instance Method Summary
| `assertNotInitialized(string funcName)` Asserts that this tweak has not been initialized yet.
| `ensureInitialized()` Applies the default value or query param value if this is the first time that the function has been called.
| `getNewValueEncoded() ⇒ ?string` Returns the value to be used in the query parameter for this tweak.
| `getParamName() ⇒ ?string` Returns the name of the query parameter used for this setting.
| `initialize(?string value)` Sets the value of the entry based on the value of the query parameter. Once this is called, configuration settings (associated query parameter, token, etc) may not be changed.
| `isInitializing() ⇒ boolean` Returns whether the setting is currently being initialized.
| `setInitialQueryParamValue(string value)` Sets the initial query parameter value for this setting. May not be called after the setting has been initialized.
| `setParamName(?string value)` Sets the name of the query parameter used for this setting. If null is passed the the setting will not appear in the top-level query string.